#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	Box-Parser-C
Summary:	Mail::Box::Parser::C - reading messages from file using C (XS)
Summary(pl.UTF-8):	Mail::Box::Parser::C - czytanie wiadomości z pliku z użyciem C (XS)
Name:		perl-Mail-Box-Parser-C
Version:	3.006
Release:	7
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3dfb3e2729597ae33114250cbce1b884
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Mail-Box >= 2.032
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Mail::Box::Parser::C implements parsing of messages in ANSI C,
using Perl's XS extension facility.

%description -l pl.UTF-8
Moduł Mail::Box::Parser::C jest implementacją analizowania wiadomości
w ANSI C przy użyciu perlowego rozszerzenia XS.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{perl_vendorarch}/Mail
%dir %{perl_vendorarch}/Mail/Box
%dir %{perl_vendorarch}/Mail/Box/Parser
%{perl_vendorarch}/Mail/Box/Parser/*.pm
%dir %{perl_vendorarch}/auto/Mail
%dir %{perl_vendorarch}/auto/Mail/Box
%dir %{perl_vendorarch}/auto/Mail/Box/Parser
%dir %{perl_vendorarch}/auto/Mail/Box/Parser/C
%attr(755,root,root) %{perl_vendorarch}/auto/Mail/Box/Parser/C/*.so
%{_mandir}/man3/*
%changelog
* Sat Sep 13 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Mail-Box-Parser-C.git;a=log;h=master

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> e0185d5
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ca975ca
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ee8834b
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 076c8a9
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Wed Aug 11 2010 zbyniu <zbyniu@pld-linux.org> 3340a46
- rel 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e419ff
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d31b8fc
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4b1e3f0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 46ae8e3
- converted to UTF-8

* Wed Dec 01 2004 radek <radek@pld-linux.org> 4b1a3ab
- autoupdated to 3.006

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 01b5cba
- formatting

* Mon May 31 2004 Adam Gołębiowski <adamg@pld-linux.org> c17ce15
- updated to 3.005

* Thu May 06 2004 ankry <ankry@pld-linux.org> ded850b
- fixed perl-devel BR

* Fri Apr 23 2004 ankry <ankry@pld-linux.org> d0d985f
- license fixes/unification

* Mon Apr 05 2004 Adam Gołębiowski <adamg@pld-linux.org> 117bd0e
- updated to 3.004

* Sat Nov 08 2003 migo <migo@pld-linux.org> f466d5a
- up to 3.003, new bcond style

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 0dbc9cc
- spaces -> tab

* Wed Aug 27 2003 Tomasz Pala <gotar@pld-linux.org> c97f398
- fixed changelog trailer

* Thu Jul 31 2003 Jakub Bogusz <qboosh@pld-linux.org> eff675c
- pl, missing dirs

* Thu Jul 24 2003 radek <radek@pld-linux.org> 76f185b
- new

